%def_without static
%define ver_major 0.8

Name: libIDL
Version: %ver_major.2
Release: alt2

Summary: Library for parsing IDL (Interface Definition Language)
Group: System/Libraries
License: LGPL
Url: ftp://ftp.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define pkgconfig_ver 0.15
%define glib_ver 2.2.3

BuildPreReq: pkgconfig >= %pkgconfig_ver
BuildPreReq: glib2-devel >= %glib_ver

BuildRequires: gnome-common

# Automatically added by buildreq on Sat May 03 2003
BuildRequires: flex glib2-devel glibc-devel-static pkgconfig

%description
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

%package devel
Summary: Development libraries and header files for libIDL
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= %pkgconfig_ver
Requires: glib2-devel >= %glib_ver
Requires(post): %install_info
Requires(preun): %uninstall_info

%description devel
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains the header files and libraries needed to write
or compile programs that use libIDL.

%package devel-static
Summary: Static libraries for libIDL
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
libIDL is a library for parsing IDL (Interface Definition Language).
It can be used for both COM-style and CORBA-style IDL.

This package contains static libraries needed to compile statically
linked programs that use %name.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%if_without static
%__rm -f %buildroot%_libdir/*.a
%endif

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post devel
%install_info %{name}2.info

%preun devel
%uninstall_info %{name}2.info

%files
%_libdir/*.so.*
%doc AUTHORS README NEWS

%files devel
%_bindir/*
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_infodir/%{name}*
%doc BUGS HACKING MAINTAINERS

%if_with static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Sun Nov 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt2
- do not package .la files.
- devel-static subpackage is optional.

* Mon May 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.2-alt1
- 0.8.2

* Sat May 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt1
- 0.8.1

* Wed Oct 02 2002 Stanislav Ievlev <inger@altlinux.ru> 0.8.0-alt1.1
- rebuild to move to the files

* Fri Jun 07 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Wed May 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.4-alt1
- Adopted for Sisyphus.
- devel-static package.

* Thu Apr 25 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- move include files to -devel
- other spec file tweaks

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 0.7.4

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- cvs snap 0.7.1.91

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- cvs snap, rebuild on new glib 1.3.11

* Fri Oct 26 2001 Havoc Pennington <hp@redhat.com>
- glib 1.3.10

* Thu Oct  4 2001 Havoc Pennington <hp@redhat.com>
- rebuild for new glib

* Thu Sep 27 2001 Havoc Pennington <hp@redhat.com>
- initial build of standalone libIDL
- fix braindamage

